events.listen("recipes", function (event) {

////////////////////=====================================/////////////////////

  // Expanded Storage
event.remove({output: "expandedstorage:netherite_chest" });
event.recipes.minecraft.smithing({
  base: item.of('expandedstorage:obsidian_chest').toJson(),
  addition: item.of('minecraft:netherite_ingot').toJson(),
  result: item.of('expandedstorage:netherite_chest').toResultJson()
})

event.recipes.minecraft.smithing({
  base: item.of('expandedstorage:old_obsidian_chest').toJson(),
  addition: item.of('minecraft:netherite_ingot').toJson(),
  result: item.of('expandedstorage:old_netherite_chest').toResultJson()
})

event.remove({output: "expandedstorage:wood_to_netherite_conversion_kit" });
event.recipes.minecraft.smithing({
  base: item.of('expandedstorage:wood_to_obsidian_conversion_kit').toJson(),
  addition: item.of('minecraft:netherite_ingot').toJson(),
  result: item.of('expandedstorage:wood_to_netherite_conversion_kit').toResultJson()
})

event.remove({output: "obsidian_to_netherite_conversion_kit" });
event.recipes.minecraft.smithing({
  base: item.of('expandedstorage:wood_to_obsidian_conversion_kit').toJson(),
  addition: item.of('minecraft:netherite_ingot').toJson(),
  result: item.of('obsidian_to_netherite_conversion_kit').toResultJson()
})

event.recipes.minecraft.smithing({
  base: item.of('minecraft:obsidian').toJson(),
  addition: item.of('minecraft:netherite_ingot').toJson(),
  result: item.of('diamond_to_netherite_conversion_kit').toResultJson()
})

event.remove({output: "expandedstorage:diamond_to_netherite_conversion_kit" });
event.recipes.minecraft.smithing({
  base: item.of('expandedstorage:diamond_to_obsidian_conversion_kit').toJson(),
  addition: item.of('minecraft:netherite_ingot').toJson(),
  result: item.of('expandedstorage:diamond_to_netherite_conversion_kit').toResultJson()
})

event.remove({output: "expandedstorage:gold_to_netherite_conversion_kit" });
event.recipes.minecraft.smithing({
  base: item.of('expandedstorage:gold_to_obsidian_conversion_kit').toJson(),
  addition: item.of('minecraft:netherite_ingot').toJson(),
  result: item.of('expandedstorage:gold_to_netherite_conversion_kit').toResultJson()
})

event.remove({output: "expandedstorage:iron_to_netherite_conversion_kit" });
event.recipes.minecraft.smithing({
  base: item.of('expandedstorage:iron_to_obsidian_conversion_kit').toJson(),
  addition: item.of('minecraft:netherite_ingot').toJson(),
  result: item.of('expandedstorage:iron_to_netherite_conversion_kit').toResultJson()
})

////////////////////=====================================/////////////////////

  // Chain Armor
  event.shaped(item.of("minecraft:chainmail_helmet"), [
    ["minecraft:chain", "minecraft:chain", "minecraft:chain"],
    ["minecraft:chain", null, "minecraft:chain"],
    [null, null, null],
  ]);

  event.shaped(item.of("minecraft:chainmail_chestplate"), [
    ["minecraft:chain", null, "minecraft:chain"],
    ["minecraft:chain", "minecraft:chain", "minecraft:chain"],
    ["minecraft:chain", "minecraft:chain", "minecraft:chain"],
  ]);

  event.shaped(item.of("minecraft:chainmail_leggings"), [
    ["minecraft:chain", "minecraft:chain", "minecraft:chain"],
    ["minecraft:chain", null, "minecraft:chain"],
    ["minecraft:chain", null, "minecraft:chain"],
  ]);

  event.shaped(item.of("minecraft:chainmail_boots"), [
    [null, null, null],
    ["minecraft:chain", null, "minecraft:chain"],
    ["minecraft:chain", null, "minecraft:chain"],
  ]);

////////////////////=====================================/////////////////////

  // Meadow Dirt to Coarse Dirt
  event.shaped(item.of("minecraft:coarse_dirt", 4), [
    ["byg:meadow_dirt", "minecraft:gravel", null],
    ["minecraft:gravel", "byg:meadow_dirt", null],
    [null, null, null],
  ]);

////////////////////=====================================/////////////////////

  // Clayblock back to 4x Clay
  event.shapeless(item.of('minecraft:clay_ball', 4), ['minecraft:clay']);

////////////////////=====================================/////////////////////

  // 3x Gravel to 1x Flint
  event.shapeless(item.of('minecraft:flint'), ['minecraft:gravel', 'minecraft:gravel', 'minecraft:gravel']);

////////////////////=====================================/////////////////////

  // Beach Grass to Sticks recipe
  event.shapeless(item.of('minecraft:stick'), ['byg:beach_grass', 'byg:beach_grass']);

////////////////////=====================================/////////////////////

  // Short Beach Grass to Sticks recipe
  event.shapeless(item.of('minecraft:stick'), ['byg:short_beach_grass', 'byg:short_beach_grass']);

////////////////////=====================================/////////////////////

  // Cattail to Sticks recipe
  event.shapeless(item.of('minecraft:stick'), ['byg:cattail', 'byg:cattail']);

////////////////////=====================================/////////////////////

  // Leaf Pile to Sticks recipe
  event.shapeless(item.of('minecraft:stick'), ['byg:leaf_pile', 'byg:leaf_pile']);

////////////////////=====================================/////////////////////

  // Meadow Dirt to Dirt
  event.shapeless(item.of('minecraft:dirt'), ['byg:meadow_dirt']);

////////////////////=====================================/////////////////////

  // White Cherry Foliage to Sticks recipe
  event.shapeless(item.of('minecraft:stick'), ['byg:white_cherry_foliage', 'byg:white_cherry_foliage']);

////////////////////=====================================/////////////////////

  // Pink Foliage to Sticks recipe
  event.shapeless(item.of('minecraft:stick'), ['byg:pink_cherry_foliage', 'byg:pink_cherry_foliage']);

////////////////////=====================================/////////////////////

  // Angel Ring
event.remove({output: "angelring:itemring" });
  event.shaped(item.of("angelring:itemring"), [
    ["forbidden_arcanus:bat_wing", "minecraft:gold_block", "forbidden_arcanus:bat_wing"],
    ["minecraft:gold_block", "angelring:itemdiamondring", "minecraft:gold_block"],
    ["forbidden_arcanus:golden_dragon_scale", "minecraft:gold_block", "forbidden_arcanus:golden_dragon_scale"],
  ]);

////////////////////=====================================/////////////////////

  // Diamond Ring
  event.replaceInput(
    { id: "angelring:itemdiamondring" },
    "minecraft:elytra",
    "enigmaticlegacy:fabulous_scroll"
    );

////////////////////=====================================/////////////////////

  // Building Gadget
event.remove({output: "buildinggadgets:gadget_building" });
  event.shaped(item.of("buildinggadgets:gadget_building"), [
    ["minecraft:iron_ingot", "minecraft:redstone", "minecraft:iron_ingot"],
    ["minecraft:diamond", "rftoolscontrol:cpu_core_500", "minecraft:diamond"],
    ["minecraft:iron_ingot", "minecraft:lapis_lazuli", "minecraft:iron_ingot"],
  ]);

  // Copy-Paste Gadget
event.remove({output: "buildinggadgets:gadget_copy_paste" });
  event.shaped(item.of("buildinggadgets:gadget_copy_paste"), [
    ["minecraft:iron_ingot", "minecraft:redstone", "minecraft:iron_ingot"],
    ["minecraft:emerald", "rftoolscontrol:cpu_core_500", "minecraft:emerald"],
    ["minecraft:iron_ingot", "minecraft:lapis_lazuli", "minecraft:iron_ingot"],
  ]);

  // Destruction Gadget
event.remove({output: "buildinggadgets:gadget_destruction" });
  event.shaped(item.of("buildinggadgets:gadget_destruction"), [
    ["minecraft:iron_ingot", "minecraft:redstone", "minecraft:iron_ingot"],
    ["minecraft:ender_pearl", "rftoolscontrol:cpu_core_1000", "minecraft:ender_pearl"],
    ["minecraft:iron_ingot", "minecraft:lapis_lazuli", "minecraft:iron_ingot"],
  ]);

  // Exchanging Gadget
event.remove({output: "buildinggadgets:gadget_exchanging" });
  event.shaped(item.of("buildinggadgets:gadget_exchanging"), [
    ["minecraft:iron_ingot", "minecraft:redstone", "minecraft:iron_ingot"],
    ["minecraft:diamond", "minecraft:lapis_lazuli", "minecraft:diamond"],
    ["minecraft:iron_ingot", "rftoolscontrol:cpu_core_1000", "minecraft:iron_ingot"],
  ]);

  // Template Manager
event.remove({output: "buildinggadgets:template_manager" });
  event.shaped(item.of("buildinggadgets:template_manager"), [
    ["minecraft:gold_ingot", "minecraft:redstone", "minecraft:gold_ingot"],
    ["minecraft:emerald", "rftoolscontrol:cpu_core_2000", "minecraft:emerald"],
    ["minecraft:gold_ingot", "minecraft:lapis_lazuli", "minecraft:gold_ingot"],
  ]);

////////////////////=====================================/////////////////////

  // Entangled Block
event.remove({output: "entangled:block" });
  event.shaped(item.of("entangled:block"), [
    ["minecraft:ender_pearl", "minecraft:obsidian", "minecraft:ender_pearl"],
    ["minecraft:obsidian", "#forge:chests/wooden", "minecraft:obsidian"],
    ["minecraft:ender_pearl", "minecraft:obsidian", "minecraft:ender_pearl"],
  ]);

////////////////////=====================================/////////////////////

// Magnetism Ring
  event.shaped(item.of("ringsofascension:ring_magnetism"), [
    [null, "minecraft:iron_ingot", null],
    ["minecraft:iron_ingot", "minecraft:ender_pearl", "minecraft:iron_ingot"],
    ["#forge:dyes/red", "minecraft:iron_ingot", "#forge:dyes/blue"],
  ]);

////////////////////=====================================/////////////////////

  // Pied Wool
  event.shaped(item.of("rats:pied_wool"), [
    ["minecraft:white_wool", "#forge:dyes/green", null],
    ["#forge:dyes/yellow", "minecraft:white_wool", null],
    [null, null, null],
  ]);
  
////////////////////=====================================/////////////////////

  // Mining Dim - Block
    event.remove({id: 'mining_dimension:teleporter'});
    event.shaped(item.of("mining_dimension:teleporter"), [
    ["minecraft:emerald", "#minecraft:logs", "minecraft:diamond"],
    ["#minecraft:logs", "minecraft:diamond_pickaxe", "#minecraft:logs"],
    ["minecraft:gold_block", "#minecraft:logs", "minecraft:iron_block"],
  ]);

////////////////////=====================================/////////////////////

  // Dusts
  event.replaceOutput(
    { id: "engineerstools:crushing/uranium_grit_crushing_recipe" },
    "immersiveengineering:dust_uranium",
    "silents_mechanisms:uranium_dust"
    );

////////////////////=====================================/////////////////////

// Tesseract
  event.remove({id: 'tesseract:tesseract'});
  event.shaped(item.of("tesseract:tesseract"), [
    ["minecraft:obsidian", "mekanism:ultimate_control_circuit", "fluxnetworks:flux_block"],
    ["mekanism:alloy_atomic", "mekanism:teleportation_core", "mekanism:alloy_atomic"],
    ["fluxnetworks:flux_block", "mekanism:ultimate_control_circuit", "minecraft:obsidian"],
  ]);

////////////////////=====================================/////////////////////
  
  // Forbidden And Arcanus - Batwing to Reliquary Batwing
  event.shaped(item.of("xreliquary:bat_wing"), [
    ["forbidden_arcanus:bat_wing", null, null], 
    [null, null, null], 
    [null, null, null],
  ]);

////////////////////=====================================/////////////////////

  // Reliquary - Batwing Batwing to Forbidden And Arcanus Batwing
  event.shaped(item.of("forbidden_arcanus:bat_wing"), [
    ["xreliquary:bat_wing", null, null], 
    [null, null, null], 
    [null, null, null],
  ]);

////////////////////=====================================/////////////////////

  // IE - Steel Sword
  event.replaceInput(
    { id: "immersiveengineering:crafting/sword_steel" },
    "#forge:ingots/steel",
    "#forge:plates/steel"
    );

  // IE - Steel Pickaxe
  event.replaceInput(
    { id: "immersiveengineering:crafting/pickaxe_steel" },
    "#forge:ingots/steel",
    "#forge:plates/steel"
    );

  // IE - Steel Shovel
  event.replaceInput(
    { id: "immersiveengineering:crafting/shovel_steel" },
    "#forge:ingots/steel",
    "#forge:plates/steel"
    );

  // IE - Steel Axe
  event.replaceInput(
    { id: "immersiveengineering:crafting/axe_steel" },
    "#forge:ingots/steel",
    "#forge:plates/steel"
    );

  // IE - Steel Hoe
  event.replaceInput(
    { id: "immersiveengineering:crafting/hoe_steel" },
    "#forge:ingots/steel",
    "#forge:plates/steel"
    );

////////////////////=====================================/////////////////////

  // Sythian Stalk to 2x Bamboo
  event.shaped(item.of('minecraft:bamboo', 2), [
    [null, "byg:sythian_stalk_block", null], 
    ["byg:sythian_stalk_block", "minecraft:green_dye", "byg:sythian_stalk_block"], 
    [null, "byg:sythian_stalk_block", null],
  ]);

////////////////////=====================================/////////////////////

  // PC - Raw Crab Meat to Cooked Crab Meat
  event.recipes.minecraft.smoking(item.of('pandoras_creatures:crab_meat_cooked', 1), 'pandoras_creatures:crab_meat').xp(0.35)

////////////////////=====================================/////////////////////

  // Osmium Ore Chunks to Osmium Ingot
  event.smelting(item.of('mekanism:ingot_osmium', 1), 'kubejs:osmium_chunks').xp(1.0)
  event.recipes.minecraft.blasting(item.of('mekanism:ingot_osmium', 1), 'kubejs:osmium_chunks').xp(1.0)

////////////////////=====================================/////////////////////

  // Yellorite Ore Chunks to Yellorium Ingot
  event.smelting(item.of('bigreactors:yellorium_ingot', 1), 'kubejs:yellorite_chunks').xp(1.0)
  event.recipes.minecraft.blasting(item.of('bigreactors:yellorium_ingot', 1), 'kubejs:yellorite_chunks').xp(1.0)

////////////////////=====================================/////////////////////

  // Fruit Log to Charcoal
  event.smelting(item.of('minecraft:charcoal', 1), 'simplefarming:fruit_log').xp(0.15)

////////////////////=====================================/////////////////////

  // MC Sweet Berries to Red Dye
  event.shapeless(item.of('minecraft:red_dye'), ['minecraft:sweet_berries', 'minecraft:sweet_berries', 'minecraft:sweet_berries']);

////////////////////=====================================/////////////////////

  // BYG Blueberries to Blue Dye Fix
  event.remove({id: 'byg:blue_dye'});
  event.shapeless(item.of('minecraft:blue_dye'), ['byg:blueberries', 'byg:blueberries', 'byg:blueberries']);

////////////////////=====================================/////////////////////

  // Bag of Yurting
  event.remove({id: 'bagofyurting:bag_of_yurting'});
  event.shaped(item.of('bagofyurting:bag_of_yurting'), [
    [null, "#minecraft:wool", null], 
    ["#minecraft:wool", "minecraft:ender_pearl", "#minecraft:wool"], 
    ["#minecraft:wool", "#minecraft:wool", "#minecraft:wool"],
  ]);

////////////////////=====================================/////////////////////

  // Tiny Coal back to Coal
  event.shapeless(item.of('minecraft:coal'), ['tinycoal:tinycoal', 'tinycoal:tinycoal', 'tinycoal:tinycoal', 'tinycoal:tinycoal', 'tinycoal:tinycoal', 'tinycoal:tinycoal', 'tinycoal:tinycoal', 'tinycoal:tinycoal']);


  // Tiny Charcoal back to Charcoal
  event.shapeless(item.of('minecraft:charcoal'), ['tinycoal:tinycharcoal', 'tinycoal:tinycharcoal', 'tinycoal:tinycharcoal', 'tinycoal:tinycharcoal', 'tinycoal:tinycharcoal', 'tinycoal:tinycharcoal', 'tinycoal:tinycharcoal', 'tinycoal:tinycharcoal']);

////////////////////=====================================/////////////////////

  event.shaped(item.of("immersiveengineering:treated_wood_horizontal", 8), [
    ["#minecraft:planks", "#minecraft:planks", "#minecraft:planks"],
    ["#minecraft:planks", "immersiveengineering:creosote_bucket", "#minecraft:planks"],
    ["#minecraft:planks", "#minecraft:planks", "#minecraft:planks"],
  ]);

////////////////////=====================================/////////////////////

  event.remove({id: 'pickletweaks:watering_can'});
  event.shaped(item.of("pickletweaks:watering_can"), [
    [null, "minecraft:iron_nugget", "minecraft:iron_ingot"],
    ["minecraft:iron_ingot", "minecraft:bowl", "minecraft:iron_ingot"],
    [null, "minecraft:iron_ingot", null],
  ]);

////////////////////=====================================/////////////////////

  // Craft and Hunt Bone Tools to Wither Tools.
  event.remove({id: 'craftandhunt:bone_upgraded_to_wither_sword'});
event.recipes.minecraft.smithing({
  base: item.of('craftandhunt:bone_sword').toJson(),
  addition: item.of('minecraft:wither_skeleton_skull').toJson(),
  result: item.of('craftandhunt:wither_sword').toResultJson()
})

  event.remove({id: 'craftandhunt:bone_upgraded_to_wither_pickaxe'});
event.recipes.minecraft.smithing({
  base: item.of('craftandhunt:bone_pickaxe').toJson(),
  addition: item.of('minecraft:wither_skeleton_skull').toJson(),
  result: item.of('craftandhunt:wither_pickaxe').toResultJson()
})

  event.remove({id: 'craftandhunt:bone_upgraded_to_wither_shovel'});
event.recipes.minecraft.smithing({
  base: item.of('craftandhunt:bone_shovel').toJson(),
  addition: item.of('minecraft:wither_skeleton_skull').toJson(),
  result: item.of('craftandhunt:wither_shovel').toResultJson()
})

  event.remove({id: 'craftandhunt:bone_upgraded_to_wither_axe'});
event.recipes.minecraft.smithing({
  base: item.of('craftandhunt:bone_axe').toJson(),
  addition: item.of('minecraft:wither_skeleton_skull').toJson(),
  result: item.of('craftandhunt:wither_axe').toResultJson()
})

  event.remove({id: 'craftandhunt:bone_upgraded_to_wither_hoe'});
event.recipes.minecraft.smithing({
  base: item.of('craftandhunt:bone_hoe').toJson(),
  addition: item.of('minecraft:wither_skeleton_skull').toJson(),
  result: item.of('craftandhunt:wither_hoe').toResultJson()
})

////////////////////=====================================/////////////////////

  // Forbidden And Arcanus Bone Tools to Wither Tools.
event.recipes.minecraft.smithing({
  base: item.of('forbidden_arcanus:bone_sword').toJson(),
  addition: item.of('minecraft:wither_skeleton_skull').toJson(),
  result: item.of('craftandhunt:wither_sword').toResultJson()
})

event.recipes.minecraft.smithing({
  base: item.of('forbidden_arcanus:bone_pickaxe').toJson(),
  addition: item.of('minecraft:wither_skeleton_skull').toJson(),
  result: item.of('craftandhunt:wither_pickaxe').toResultJson()
})

event.recipes.minecraft.smithing({
  base: item.of('forbidden_arcanus:bone_shovel').toJson(),
  addition: item.of('minecraft:wither_skeleton_skull').toJson(),
  result: item.of('craftandhunt:wither_shovel').toResultJson()
})

event.recipes.minecraft.smithing({
  base: item.of('forbidden_arcanus:bone_axe').toJson(),
  addition: item.of('minecraft:wither_skeleton_skull').toJson(),
  result: item.of('craftandhunt:wither_axe').toResultJson()
})

event.recipes.minecraft.smithing({
  base: item.of('forbidden_arcanus:bone_hoe').toJson(),
  addition: item.of('minecraft:wither_skeleton_skull').toJson(),
  result: item.of('craftandhunt:wither_hoe').toResultJson()
})

////////////////////=====================================/////////////////////

  // Loot Bag Pieces to Loot Bag
  event.shaped(item.of("lootbagmod:lootbag"), [
    ["kubejs:lootbag_piece", "kubejs:lootbag_piece", "kubejs:lootbag_piece"],
    ["kubejs:lootbag_piece", "kubejs:lootbag_piece", "kubejs:lootbag_piece"],
    ["kubejs:lootbag_piece", "kubejs:lootbag_piece", "kubejs:lootbag_piece"],
  ]);

////////////////////=====================================/////////////////////

  // Extended Caves
  // Cobble Dirt Stone
  event.shaped(item.of("extcaves:dirtstone_cobble", 4), [
    ["#forge:cobblestone", "minecraft:dirt", null],
    ["minecraft:dirt", "#forge:cobblestone", null],
    [null, null, null],
  ]);

  // Dirt Stone
  event.shaped(item.of("extcaves:dirtstone", 4), [
    ["minecraft:dirt", "#forge:stone", null],
    ["#forge:stone", "#forge:stone", null],
    [null, null, null],
  ]);

    // Ice Bricks
  event.shaped(item.of("extcaves:bricks_ice", 4), [
    ["minecraft:packed_ice", "minecraft:bricks", null],
    ["minecraft:bricks", "minecraft:packed_ice", null],
    [null, null, null],
  ]);

    // Lava Stone
  event.shaped(item.of("extcaves:lavastone", 4), [
    ["#forge:stone", "minecraft:magma_block", null],
    ["#forge:stone", "#forge:stone", null],
    [null, null, null],
  ]);

    // Marlstone Powder
  event.shaped(item.of("extcaves:marlstone_powder", 2), [
    ["minecraft:clay", "byg:mud_ball", null],
    ["byg:mud_ball", "minecraft:clay", null],
    [null, null, null],
  ]);

    // Marlstone in Furnace Recipe
  event.smelting(item.of('extcaves:marlstone', 1), 'extcaves:marlstone_powder').xp(0.10)

    // Sediment Stone
  event.shaped(item.of("extcaves:sedimentstone", 4), [
    ["#forge:stone", "extcaves:clay_lump", null],
    ["extcaves:clay_lump", "#forge:stone", null],
    [null, null, null],
  ]);

    // Snow Bricks
  event.shaped(item.of("extcaves:bricks_snow", 4), [
    ["minecraft:snow_block", "minecraft:stone_bricks", null],
    ["minecraft:stone_bricks", "minecraft:snow_block", null],
    [null, null, null],
  ]);

    // Snow Bricks Slab
  event.shaped(item.of("extcaves:bricks_snow_slab", 6), [
    [null, null, null],
    ["extcaves:bricks_snow", "extcaves:bricks_snow", "extcaves:bricks_snow"],
    [null, null, null],
  ]);

    // Ice Bricks Slab
  event.shaped(item.of("extcaves:bricks_ice_slab", 6), [
    [null, null, null],
    ["extcaves:bricks_ice", "extcaves:bricks_ice", "extcaves:bricks_ice"],
    [null, null, null],
  ]);

    // Cobble Dirt Slab
  event.shaped(item.of("extcaves:dirtstone_cobble_slab", 6), [
    [null, null, null],
    ["extcaves:dirtstone_cobble", "extcaves:dirtstone_cobble", "extcaves:dirtstone_cobble"],
    [null, null, null],
  ]);

    // Dirt Stone Slab
  event.shaped(item.of("extcaves:dirtstone_slab", 6), [
    [null, null, null],
    ["extcaves:dirtstone", "extcaves:dirtstone", "extcaves:dirtstone"],
    [null, null, null],
  ]);

    // Snow Bricks Stairs
  event.shaped(item.of("extcaves:bricks_snow_stairs", 4), [
    ["extcaves:bricks_snow", null, null],
    ["extcaves:bricks_snow", "extcaves:bricks_snow", null],
    ["extcaves:bricks_snow", "extcaves:bricks_snow", "extcaves:bricks_snow"],
  ]);

    // Ice Bricks Stairs
  event.shaped(item.of("extcaves:bricks_ice_stairs", 4), [
    ["extcaves:bricks_ice", null, null],
    ["extcaves:bricks_ice", "extcaves:bricks_ice", null],
    ["extcaves:bricks_ice", "extcaves:bricks_ice", "extcaves:bricks_ice"],
  ]);

    // Cobble Dirt Stairs
  event.shaped(item.of("extcaves:dirtstone_cobble_stairs", 4), [
    ["extcaves:dirtstone_cobble", null, null],
    ["extcaves:dirtstone_cobble", "extcaves:dirtstone_cobble", null],
    ["extcaves:dirtstone_cobble", "extcaves:dirtstone_cobble", "extcaves:dirtstone_cobble"],
  ]);

    // Dirt Stone Stairs
  event.shaped(item.of("extcaves:dirtstone_stairs", 4), [
    ["extcaves:dirtstone", null, null],
    ["extcaves:dirtstone", "extcaves:dirtstone", null],
    ["extcaves:dirtstone", "extcaves:dirtstone", "extcaves:dirtstone"],
  ]);

////////////////////=====================================/////////////////////

    // Variant16x Glass Wall
  event.shaped(item.of("variant16x:glass_wall", 6), [
    ["#forge:glass/colorless", "#forge:glass/colorless", null],
    ["#forge:glass/colorless", "#forge:glass/colorless", null],
    ["#forge:glass/colorless", "#forge:glass/colorless", null],
  ]);

////////////////////=====================================/////////////////////

    // Chain Plating BYG
  event.remove({id: 'byg:chain_plating'});
  event.shaped(item.of("byg:chain_plating", 4), [
    ["minecraft:iron_ingot", "minecraft:iron_nugget", "minecraft:iron_ingot"],
    ["minecraft:iron_nugget", null, "minecraft:iron_nugget"],
    ["minecraft:iron_ingot", "minecraft:iron_nugget", "minecraft:iron_ingot"],
  ]);

////////////////////=====================================/////////////////////

    // Stone Pebble
  event.remove({id: 'extcaves:pebble_stone'});
  event.shaped(item.of("extcaves:pebble_stone", 18), [
    ["minecraft:stone", null, null],
    ["minecraft:stone", null, null],
    [null, null, null],
  ]);

////////////////////=====================================/////////////////////

  // Extra Disks Stuff
  event.replaceInput(
    { id: "extradisks:part/65536k_storage_part" },
    "extradisks:16384k_storage_part",
    "extrastorage:storagepart_16384k"
    );

  event.replaceInput(
    { id: "extradisks:part/infinite_fluid_storage_part" },
    "extradisks:1048576k_fluid_storage_part",
    "extrastorage:storagepart_1048576k_fluid"
    );

////////////////////=====================================/////////////////////

  // BDD - Tall Water Reeds to Sticks
  event.shaped(item.of("minecraft:stick"), [
    ["betterdefaultbiomes:tall_water_reeds", null, null], 
    ["betterdefaultbiomes:tall_water_reeds", null, null], 
    [null, null, null],
  ]);

////////////////////=====================================/////////////////////

  // Flux Plug
  event.remove({output: "fluxnetworks:flux_plug" });
  event.shaped(item.of("fluxnetworks:flux_plug", 2), [
    [null, "fluxnetworks:flux_core", null], 
    ["fluxnetworks:flux_core", "tesseract:tesseract", "fluxnetworks:flux_core"], 
    [null, "fluxnetworks:flux_core", null],
  ]);

  // Flux Point
  event.remove({output: "fluxnetworks:flux_point" });
  event.shaped(item.of("fluxnetworks:flux_point"), [
    [null, "fluxnetworks:flux_core", null], 
    ["fluxnetworks:flux_core", "mekanism:teleportation_core", "fluxnetworks:flux_core"], 
    [null, "fluxnetworks:flux_core", null],
  ]);

////////////////////=====================================/////////////////////

    // Baked Potato to Baked Potato
  event.remove({output: 'pamhc2crops:bakedsweetpotatoitem'});
  event.smelting(item.of('pamhc2crops:bakedsweetpotatoitem', 1), 'simplefarming:baked_sweet_potato').xp(0.35)
  event.recipes.minecraft.smoking(item.of('pamhc2crops:bakedsweetpotatoitem', 1), 'simplefarming:baked_sweet_potato').xp(0.35)
  event.recipes.minecraft.campfire_cooking('pamhc2crops:bakedsweetpotatoitem', 'simplefarming:baked_sweet_potato')

////////////////////=====================================/////////////////////

  // Assorted Vegetables
  event.remove({id: "rats:assorted_vegetables"});
  event.shaped(item.of("rats:assorted_vegetables"), [
    ["#forge:vegetables", "#forge:vegetables", "#forge:vegetables"], 
    ["#forge:vegetables", "#forge:vegetables", "#forge:vegetables"], 
    ["#forge:vegetables", "#forge:vegetables", null],
  ]);

////////////////////=====================================/////////////////////

  // Maple Fence
  event.shaped(item.of("byg:maple_fence", 3), [
    [null, null, null], 
    ["byg:maple_planks", "#forge:rods/wooden", "byg:maple_planks"], 
    ["byg:maple_planks", "#forge:rods/wooden", "byg:maple_planks"],
  ]);

  event.replaceInput(
    { id: "byg:maple_fence_gate" },
    "minecraft:stick",
    "#forge:rods/wooden"
    );

////////////////////=====================================/////////////////////

  // Mystical Agriculture Essence Fixes
  event.shaped(item.of("thermal:constantan_ingot", 4), [
    ["mysticalagriculture:constantan_essence", "mysticalagriculture:constantan_essence", "mysticalagriculture:constantan_essence"], 
    ["mysticalagriculture:constantan_essence", null, "mysticalagriculture:constantan_essence"], 
    ["mysticalagriculture:constantan_essence", "mysticalagriculture:constantan_essence", "mysticalagriculture:constantan_essence"],
  ]);

  event.shaped(item.of("thermal:invar_ingot", 4), [
    ["mysticalagriculture:invar_essence", "mysticalagriculture:invar_essence", "mysticalagriculture:invar_essence"], 
    ["mysticalagriculture:invar_essence", null, "mysticalagriculture:invar_essence"], 
    ["mysticalagriculture:invar_essence", "mysticalagriculture:invar_essence", "mysticalagriculture:invar_essence"],
  ]);

  event.shaped(item.of("thermal:electrum_ingot", 4), [
    ["mysticalagriculture:electrum_essence", "mysticalagriculture:electrum_essence", "mysticalagriculture:electrum_essence"], 
    ["mysticalagriculture:electrum_essence", null, "mysticalagriculture:electrum_essence"], 
    ["mysticalagriculture:electrum_essence", "mysticalagriculture:electrum_essence", "mysticalagriculture:electrum_essence"],
  ]);

  event.shaped(item.of("thermal:bronze_ingot", 4), [
    ["mysticalagriculture:bronze_essence", "mysticalagriculture:bronze_essence", "mysticalagriculture:bronze_essence"], 
    ["mysticalagriculture:bronze_essence", null, "mysticalagriculture:bronze_essence"], 
    ["mysticalagriculture:bronze_essence", "mysticalagriculture:bronze_essence", "mysticalagriculture:bronze_essence"],
  ]);

  event.shaped(item.of("thermal:nickel_ingot", 4), [
    ["mysticalagriculture:nickel_essence", "mysticalagriculture:nickel_essence", "mysticalagriculture:nickel_essence"], 
    ["mysticalagriculture:nickel_essence", null, "mysticalagriculture:nickel_essence"], 
    ["mysticalagriculture:nickel_essence", "mysticalagriculture:nickel_essence", "mysticalagriculture:nickel_essence"],
  ]);

  event.shaped(item.of("thermal:silver_ingot", 4), [
    ["mysticalagriculture:silver_essence", "mysticalagriculture:silver_essence", "mysticalagriculture:silver_essence"], 
    ["mysticalagriculture:silver_essence", null, "mysticalagriculture:silver_essence"], 
    ["mysticalagriculture:silver_essence", "mysticalagriculture:silver_essence", "mysticalagriculture:silver_essence"],
  ]);

  event.shaped(item.of("thermal:lead_ingot", 4), [
    ["mysticalagriculture:lead_essence", "mysticalagriculture:lead_essence", "mysticalagriculture:lead_essence"], 
    ["mysticalagriculture:lead_essence", null, "mysticalagriculture:lead_essence"], 
    ["mysticalagriculture:lead_essence", "mysticalagriculture:lead_essence", "mysticalagriculture:lead_essence"],
  ]);

  event.shaped(item.of("thermal:tin_ingot", 4), [
    ["mysticalagriculture:tin_essence", "mysticalagriculture:tin_essence", "mysticalagriculture:tin_essence"], 
    ["mysticalagriculture:tin_essence", null, "mysticalagriculture:tin_essence"], 
    ["mysticalagriculture:tin_essence", "mysticalagriculture:tin_essence", "mysticalagriculture:tin_essence"],
  ]);

  event.shaped(item.of("thermal:copper_ingot", 6), [
    ["mysticalagriculture:copper_essence", "mysticalagriculture:copper_essence", "mysticalagriculture:copper_essence"], 
    ["mysticalagriculture:copper_essence", null, "mysticalagriculture:copper_essence"], 
    ["mysticalagriculture:copper_essence", "mysticalagriculture:copper_essence", "mysticalagriculture:copper_essence"],
  ]);

////////////////////=====================================/////////////////////

  event.shaped(item.of("appliedenergistics2:silicon", 6), [
    [null, "mysticalagriculture:silicon_essence", null], 
    [null, "mysticalagriculture:silicon_essence", null], 
    [null, "mysticalagriculture:silicon_essence", null],
  ]);

////////////////////=====================================/////////////////////

  // Forbidden and Arcanus - Jar
  event.replaceInput(
    { id: "forbidden_arcanus:bottle_block" },
    "#minecraft:planks",
    "#minecraft:wooden_slabs"
    );

////////////////////=====================================/////////////////////

  event.remove({id: "rats:plastic_smelting"});
  event.remove({id: "rats:plastic_blast_furnace"});
  event.smelting(item.of('kubejs:tiny_plastic_piece', 1), 'rats:plastic_waste').xp(0.05)
  event.recipes.minecraft.blasting(item.of('kubejs:tiny_plastic_piece', 1), 'rats:plastic_waste').xp(0.05)

////////////////////=====================================/////////////////////

  // Processed Plastic
  event.shaped(item.of("kubejs:processed_plastic"), [
    ["kubejs:tiny_plastic_piece", "kubejs:tiny_plastic_piece", "kubejs:tiny_plastic_piece"], 
    ["kubejs:tiny_plastic_piece", "kubejs:tiny_plastic_piece", "kubejs:tiny_plastic_piece"], 
    ["kubejs:tiny_plastic_piece", "kubejs:tiny_plastic_piece", "kubejs:tiny_plastic_piece"],
  ]);

////////////////////=====================================/////////////////////

  event.smelting(item.of('industrialforegoing:plastic', 1), 'kubejs:processed_plastic').xp(0.05)
  event.recipes.minecraft.blasting(item.of('industrialforegoing:plastic', 1), 'kubejs:processed_plastic').xp(0.05)

////////////////////=====================================/////////////////////

  // Eternal Stella
  event.remove({id: "forbidden_arcanus:eternal_stella"});
  event.shaped(item.of("forbidden_arcanus:eternal_stella"), [
    ["forbidden_arcanus:stellarite_piece", "kubejs:compressed_xpetrified_orb", "forbidden_arcanus:stellarite_piece"], 
    ["kubejs:compressed_xpetrified_orb", "forbidden_arcanus:stellarite_block", "kubejs:compressed_xpetrified_orb"], 
    ["forbidden_arcanus:stellarite_piece", "kubejs:compressed_xpetrified_orb", "forbidden_arcanus:stellarite_piece"],
  ]);

////////////////////=====================================/////////////////////

  // Compressed Xpetrified Orb
  event.shapeless(item.of('kubejs:compressed_xpetrified_orb'), ['forbidden_arcanus:xpetrified_orb', 'forbidden_arcanus:xpetrified_orb', 'forbidden_arcanus:xpetrified_orb']);

////////////////////=====================================/////////////////////

  // Compressed Xpetrified Orb to 3x Xpetrified Orbs
  event.shapeless(item.of('forbidden_arcanus:xpetrified_orb', 3), ['kubejs:compressed_xpetrified_orb']);

////////////////////=====================================/////////////////////

  // Yellorium Nuggets
  event.shapeless(item.of('kubejs:yellorium_nugget', 9), ['bigreactors:yellorium_ingot']);

////////////////////=====================================/////////////////////

  // Yellorium Ingot from Nugget
  event.shaped(item.of("bigreactors:yellorium_ingot"), [
    ["kubejs:yellorium_nugget", "kubejs:yellorium_nugget", "kubejs:yellorium_nugget"], 
    ["kubejs:yellorium_nugget", "kubejs:yellorium_nugget", "kubejs:yellorium_nugget"], 
    ["kubejs:yellorium_nugget", "kubejs:yellorium_nugget", "kubejs:yellorium_nugget"],
  ]);

////////////////////=====================================/////////////////////

  // Powered Anvil 1
  event.replaceInput(
    { id: "cyclic:anvil" },
    "minecraft:diamond",
    "minecraft:diamond_block"
    );

////////////////////=====================================/////////////////////

  // Powered Anvil 2
  event.replaceInput(
    { id: "cyclic:anvil" },
    "minecraft:iron_block",
    "#forge:storage_blocks/compressed_iron"
    );

////////////////////=====================================/////////////////////

  // Powered Anvil 3
  event.replaceInput(
    { id: "cyclic:anvil" },
    "minecraft:redstone",
    "silents_mechanisms:redstone_alloy_ingot"
    );

////////////////////=====================================/////////////////////

  // Magma Anvil 1
  event.replaceInput(
    { id: "cyclic:anvil_magma" },
    "minecraft:magma_block",
    "craftandhunt:blaze_glass_block"
    );

  // Magma Anvil 2
  event.replaceInput(
    { id: "cyclic:anvil_magma" },
    "minecraft:obsidian",
    "minecraft:crying_obsidian"
    );

  // Mason Steel
  event.replaceInput(
    { id: "cyclic:mason_steel" },
    "minecraft:iron_block",
    "#forge:storage_blocks/compressed_iron"
    );

////////////////////=====================================/////////////////////

  // Crystal Sword
  event.replaceInput(
    { id: "cyclic:crystal_sword" },
    "minecraft:diamond",
    "minecraft:diamond_block"
    );

  // Crystal Pickaxe
  event.replaceInput(
    { id: "cyclic:crystal_pickaxe" },
    "minecraft:diamond",
    "minecraft:diamond_block"
    );

  // Crystal Shovel
  event.replaceInput(
    { id: "cyclic:crystal_shovel" },
    "minecraft:diamond",
    "minecraft:diamond_block"
    );

  // Crystal Axe
  event.replaceInput(
    { id: "cyclic:crystal_axe" },
    "minecraft:diamond",
    "minecraft:diamond_block"
    );

  // Powered Hoe
  event.replaceInput(
    { id: "cyclic:crystal_hoe" },
    "minecraft:diamond",
    "minecraft:diamond_block"
    );

////////////////////=====================================/////////////////////

  // Dusts to Dusts
  event.shapeless(item.of('thermal:iron_dust'), ['#forge:dusts/iron']);
  event.shapeless(item.of('thermal:gold_dust'), ['#forge:dusts/gold']);
  event.shapeless(item.of('thermal:quartz_dust'), ['#forge:dusts/quartz']);
  event.shapeless(item.of('thermal:copper_dust'), ['#forge:dusts/copper']);
  event.shapeless(item.of('thermal:tin_dust'), ['#forge:dusts/tin']);
  event.shapeless(item.of('thermal:lead_dust'), ['#forge:dusts/lead']);
  event.shapeless(item.of('thermal:silver_dust'), ['#forge:dusts/silver']);
  event.shapeless(item.of('thermal:nickel_dust'), ['#forge:dusts/nickel']);
  event.shapeless(item.of('thermal:bronze_dust'), ['#forge:dusts/bronze']);
  event.shapeless(item.of('thermal:electrum_dust'), ['#forge:dusts/electrum']);
  event.shapeless(item.of('thermal:invar_dust'), ['#forge:dusts/invar']);
  event.shapeless(item.of('thermal:constantan_dust'), ['#forge:dusts/constantan']);
  event.shapeless(item.of('thermal:signalum_dust'), ['#forge:dusts/signalum']);
  event.shapeless(item.of('thermal:lumium_dust'), ['#forge:dusts/lumium']);
  event.shapeless(item.of('thermal:enderium_dust'), ['#forge:dusts/enderium']);

////////////////////=====================================/////////////////////

});